Jdk14Compat (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.compat.Jdk14Compat class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.compat
Class Jdk14Compat

    java.lang.Object
      org.apache.tomcat.util.compat.JdkCompat
          org.apache.tomcat.util.compat.Jdk14Compat

public class Jdk14Compat
extends JdkCompat

See JdkCompat. This is an extension of that class for Jdk1.4 support.

Author:
  Tim Funk, Remy Maucherat

Field Summary

Fields inherited from class org.apache.tomcat.util.compat.JdkCompat
`JAVA_1_0, JAVA_1_1, JAVA_1_2, JAVA_1_3, JAVA_1_4, JAVA_1_5`

Constructor Summary
`protected` | `Jdk14Compat()` Default no-arg constructor

Method Summary
`void` | `chainException(java.lang.Throwable wrapper, java.lang.Throwable wrapped)` Chains the `wrapped` throwable to the `wrapper` throwable.
`long` | `getMaxMemory()` Return the maximum amount of memory the JVM will attempt to use.
`java.lang.String` | `getPartialServletStackTrace(java.lang.Throwable t)` Print out a partial servlet stack trace (truncating at the last occurrence of javax.servlet.).
`java.net.ServerSocket` | `getUnboundSocket(javax.net.ServerSocketFactory ssf)` Obtain an unbound socket from the ServerSocketFactory.
`java.net.URL` | `getURI(java.io.File file)` Return the URI for the given file.
`java.lang.String[]` | `split(java.lang.String path, java.lang.String pat)` Splits a string into it's components.

Methods inherited from class org.apache.tomcat.util.compat.JdkCompat
`getJavaVersion, getJdkCompat, isJava14, isJava15, isJava2`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jdk14Compat

    protected Jdk14Compat()

  Default no-arg constructor

Method Detail

### getURI

    public java.net.URL getURI(java.io.File file)
                        throws java.net.MalformedURLException

  Return the URI for the given file. Originally created for o.a.c.loader.WebappClassLoader

  Overrides:
    `getURI` in class `JdkCompat`
  Parameters:
    `file` - The file to wrap into URI
  Returns:
    A URI as a URL
  Throws:
    `java.net.MalformedURLException` - Doh ;)

### getMaxMemory

    public long getMaxMemory()

  Return the maximum amount of memory the JVM will attempt to use.

  Overrides:
    `getMaxMemory` in class `JdkCompat`

### getPartialServletStackTrace

    public java.lang.String getPartialServletStackTrace(java.lang.Throwable t)

  Print out a partial servlet stack trace (truncating at the last occurrence of javax.servlet.).

  Overrides:
    `getPartialServletStackTrace` in class `JdkCompat`

### split

    public java.lang.String[] split(java.lang.String path,
                                    java.lang.String pat)

  Description copied from class: `JdkCompat`
  Splits a string into it's components.

  Overrides:
    `split` in class `JdkCompat`
  Parameters:
    `path` - String to split
    `pat` - Pattern to split at
  Returns:
    the components of the path

### chainException

    public void chainException(java.lang.Throwable wrapper,
                               java.lang.Throwable wrapped)

  Chains the `wrapped` throwable to the `wrapper` throwable.

  Overrides:
    `chainException` in class `JdkCompat`
  Parameters:
    `wrapper` - The wrapper throwable
    `wrapped` - The throwable to be wrapped

### getUnboundSocket

    public java.net.ServerSocket getUnboundSocket(javax.net.ServerSocketFactory ssf)
                                           throws java.io.IOException

  Obtain an unbound socket from the ServerSocketFactory. Return null if unbound sockets cannot be created.

  Overrides:
    `getUnboundSocket` in class `JdkCompat`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.